The BOOST_PP_SEQ_SIZE macro expands to the size of a seq.

#### Usage

BOOST_PP_SEQ_SIZE(seq)

#### Arguments

seq
  The seq whose size is to be calculated.

#### Requirements

Header: <boost/preprocessor/seq/size.hpp>

#### Sample Code

    #include <boost/preprocessor/seq/size.hpp>

    #define SEQ (a)(b)(c)

    BOOST_PP_SEQ_SIZE(SEQ) // expands to 3

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)